package com.yonge.cooleshow.biz.dal.dto.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yonge.cooleshow.biz.dal.convert.AccountBizTypeEnumConvert;
import com.yonge.cooleshow.biz.dal.convert.InOrOutEnumConvert;
import com.yonge.cooleshow.biz.dal.convert.PostStatusConvert;
import com.yonge.cooleshow.biz.dal.enums.AccountBizTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.InOrOutEnum;
import com.yonge.cooleshow.common.enums.PostStatusEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/4/15 17:32
 */
public class PlatformCashAccountRecordExport {
    @ExcelProperty(value = "关联订单", index = 0)
    private String orderNo;
    @ExcelProperty(value = "金额", index = 1)
    private BigDecimal transAmount;
    @ExcelProperty(value = "产品编号", index = 2)
    private Long bizId;
    @ExcelProperty(value = "收支类型", index = 3, converter = InOrOutEnumConvert.class)
    private InOrOutEnum inOrOut;
    @ExcelProperty(value = "内容", index = 4, converter = AccountBizTypeEnumConvert.class)
    private AccountBizTypeEnum bizType;
    @ExcelProperty(value = "入账状态", index = 5, converter = PostStatusConvert.class)
    private PostStatusEnum postStatus;
    @ExcelProperty(value = "更新时间", index = 6)
    private Date updateTime;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getTransAmount() {
        return transAmount;
    }

    public void setTransAmount(BigDecimal transAmount) {
        this.transAmount = transAmount;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public InOrOutEnum getInOrOut() {
        return inOrOut;
    }

    public void setInOrOut(InOrOutEnum inOrOut) {
        this.inOrOut = inOrOut;
    }

    public AccountBizTypeEnum getBizType() {
        return bizType;
    }

    public void setBizType(AccountBizTypeEnum bizType) {
        this.bizType = bizType;
    }

    public PostStatusEnum getPostStatus() {
        return postStatus;
    }

    public void setPostStatus(PostStatusEnum postStatus) {
        this.postStatus = postStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
